Summary:     GXSNMP Network Management Application
Name:        gxsnmp
Version:     0.0.15.1
Release:     1
License:     GPL
Group:       X11/gnome
Source:      ftp://coco.comstar.net/pub/gxsnmp/gxsnmp-%{version}.tar.gz
Patch:       gxsnmp-gtk+-cflags-fix
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
URL:         http://www.gxsnmp.org

%description 
GXSNMP Is the SNMP network managament application.

%prep
%setup -q
%patch -p0

%build
# I do this as alpha's tend to return random id's
%ifarch alpha
    MYARCH_FLAGS='alpha-redhat-linux'
%else
    MYARCH_FLAGS=''
%endif

automake
autoconf

CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} \
    --infodir=%{_infodir} --libdir=%{_libdir}



if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir} \
    datadir=$RPM_BUILD_ROOT/%{_datadir} \
    infodir=$RPM_BUILD_ROOT/%{_infodir} \
    libdir=$RPM_BUILD_ROOT/%{_libdir} install

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_infodir}/*
%{_libdir}/*
%{_datadir}/gnome/apps/Administration/*
%{_datadir}/gnome/help/gxsnmp/
%{_datadir}/gxsnmp


%changelog
* Sat Feb 20 1999 Gregory McLean <gregm@comstar.net>
- Initial version
